#!/bin/bash
NAME="dltk"
VERSION=4.0.0
TAG="Root_R4_0_maintenance"
DATE=""

if [ -n "$DATE" ]
then
    cvs -d :pserver:anonymous@dev.eclipse.org:/cvsroot/technology export -D "$DATE" org.eclipse.dltk
else
    cvs -d :pserver:anonymous@dev.eclipse.org:/cvsroot/technology export -r $TAG org.eclipse.dltk
fi

mv org.eclipse.dltk  $NAME-$VERSION

#Remove any commited jars
find $NAME-$VERSION -name *.jar -delete

echo "Creating tarball '$NAME-$VERSION.tar.xz'..."
tar -caf $NAME-$VERSION.tar.xz $NAME-$VERSION
